_Avyr_GUI_Widgets_Lib = CreateFrame("FRAME")

_Avyr_GUI_Widgets_Lib.BorderSize = 3
_Avyr_GUI_Widgets_Lib.Padding = 2
_Avyr_GUI_Widgets_Lib.BackdropColor = { r = 0.1, g = 0.1, b = 0.1, a = 0.9 }
_Avyr_GUI_Widgets_Lib.BorderColor = { r = 0, g = 0, b = 0, a = 1 }
_Avyr_GUI_Widgets_Lib.HighlightColor = { r = 1, g = 0.82, b = 0, a = 1 }

_Avyr_GUI_Widgets_Lib.Initialize = function(self,AddonName) 

    _Avyr_GUI_Widgets_Lib.MediaPath = "Interface\\Addons\\"..AddonName.."\\Media\\"
end 


--[[
local DelayTime = 0.2

local DelayFrame = CreateFrame("FRAME")
DelayFrame:Hide()

local DelayCallBacks = {}

DelayFrame:SetScript("OnUpdate",
    function(self, elapsed)
        for i, v in ipairs(DelayCallBacks) do
            if type(v.Time) ~= "nil" then
                v.Time = v.Time - elapsed
                if v.Time <= 0 then
                    v.Func(v.RefTime)
                    v.Time = nil
                    table.remove(DelayCallBacks, i)
                end
            end
        end
        if getn(DelayCallBacks) == 0 then
            self:Hide()
        end
    end)

_Avyr_GUI_Widgets_Lib.SetDelay = function(self,Time, CallBackHandler)
    if type(Time) ~= "number" then
        Time = DelayTime
    end
    if type(CallBackHandler) == "function" then
        table.insert(DelayCallBacks, { Time = Time, RefTime = Time, Func = CallBackHandler })
        DelayFrame:Show()
    end
end
]]